Download it now!
Bug 116324 - Nested IF(IF( without Else path yields #VALUE!
Summary: Nested IF(IF( without Else path yields #VALUE!
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.1.0 target:6.0.3 target:5.4.7
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-03-09 20:51 UTC by Eike Rathke
Modified: 2018-03-28 23:20 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2018-03-09 20:51:59 UTC
A1: 1
A2: 0
B3: =IF(IF(A1:A2;12);34;56)   as array formula
=>
B3: 34
B4: #VALUE!

B4 should be 56.

When giving an Else path, for example 0 or FALSE(), like in

=IF(IF(A1:A2;12;0);34;56)
=IF(IF(A1:A2;12;FALSE());34;56)

then it works correctly.

Note that a standalone =IF(A1:A2;12) array formula correctly yields {12;FALSE}
Comment 1 Commit Notification 2018-03-10 19:44:14 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8930f8f530b4879226a6bac55bfeb551ac9e7489

Resolves: tdf#116324 treat jump empty path as 0 when nested

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2018-03-10 19:50:02 UTC
Pending review
https://gerrit.libreoffice.org/51053 for 6-0
https://gerrit.libreoffice.org/51054 for 5-4
Comment 3 Commit Notification 2018-03-10 20:04:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f23f94cdef660909e105176a8c7ae83780baa71

Unit test tdf#116324

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-03-21 11:35:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0e7b2336d5d5723a9feab124f7c8a152f96dda4&h=libreoffice-6-0

Resolves: tdf#116324 treat jump empty path as 0 when nested

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-03-21 11:36:22 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4100c987f7c73a2e90ee8747ebc845478deff82e&h=libreoffice-5-4

Resolves: tdf#116324 treat jump empty path as 0 when nested

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-03-28 21:51:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=465df8ea64b417d02917b2f1ca99f502e8e1c6e8&h=libreoffice-6-0-3

Resolves: tdf#116324 treat jump empty path as 0 when nested

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.